JUCE: ARAHostModel::PlugInExtensionInstance Class Reference

JUCE

Public Member Functions | List of all members
ARAHostModel::PlugInExtensionInstance Class Referencefinal
juce_audio_processors » format_types

Wrapper class for `ARA::ARAPlugInExtensionInstance*`. More...

`#include <juce_ARAHosting.h>`

## Public Member Functions
| PlugInExtensionInstance ()=default
| Creates an empty PlugInExtensionInstance object. More...
| PlugInExtensionInstance (const ARA::ARAPlugInExtensionInstance *instanceIn)
| Creates a PlugInExtensionInstance object that wraps a `const ARA::ARAPlugInExtensionInstance*`. More...
PlaybackRendererInterface | getPlaybackRendererInterface () const
| Returns the PlaybackRendererInterface for the extension instance. More...
EditorRendererInterface | getEditorRendererInterface () const
| Returns the EditorRendererInterface for the extension instance. More...
bool | isValid () const noexcept
| Returns false if the PlugInExtensionInstance was default constructed and represents no binding to an ARAHostDocumentController. More...

## Detailed Description

Wrapper class for `ARA::ARAPlugInExtensionInstance*`.

Returned by ARAHostDocumentController::bindDocumentToPluginInstance(). The corresponding ARAHostDocumentController must remain valid as long as the plugin extension is in use.

## Constructor & Destructor Documentation

## ◆ PlugInExtensionInstance() [1/2]

ARAHostModel::PlugInExtensionInstance::PlugInExtensionInstance | ( |  | ) |
| default

Creates an empty PlugInExtensionInstance object.

Calling isValid() on such an object will return false.

## ◆ PlugInExtensionInstance() [2/2]

ARAHostModel::PlugInExtensionInstance::PlugInExtensionInstance | ( | const ARA::ARAPlugInExtensionInstance * | instanceIn | ) |
| explicit

Creates a PlugInExtensionInstance object that wraps a `const ARA::ARAPlugInExtensionInstance*`.

The intended way to obtain a PlugInExtensionInstance object is to call ARAHostDocumentController::bindDocumentToPluginInstance(), which is using this constructor.

## Member Function Documentation

## ◆ getPlaybackRendererInterface()

PlaybackRendererInterface ARAHostModel::PlugInExtensionInstance::getPlaybackRendererInterface | ( |  | ) | const

Returns the PlaybackRendererInterface for the extension instance.

Depending on what roles were passed into ARAHostDocumentController::bindDocumentToPluginInstance() one particular instance may not fulfill a given role. You can use PlaybackRendererInterface::isValid() to see if this interface was provided by the instance.

## ◆ getEditorRendererInterface()

EditorRendererInterface ARAHostModel::PlugInExtensionInstance::getEditorRendererInterface | ( |  | ) | const

Returns the EditorRendererInterface for the extension instance.

Depending on what roles were passed into ARAHostDocumentController::bindDocumentToPluginInstance() one particular instance may not fulfill a given role. You can use EditorRendererInterface::isValid() to see if this interface was provided by the instance.

## ◆ isValid()

bool ARAHostModel::PlugInExtensionInstance::isValid | ( |  | ) | const
| noexcept

Returns false if the PlugInExtensionInstance was default constructed and represents no binding to an ARAHostDocumentController.

The documentation for this class was generated from the following file:

- juce_ARAHosting.h